PYPINYIN(1)

NAME
pypinyin - program to convert Chinese text to pinyin

SYNOPSIS

pypinyin [{-f | --func} {pinyin | slug}] [{-s | --style} STYLE] [{-p | --separator} SEPARATOR] [{-e | --errors} {default | ignore | replace}] [{-m | --heteronym}]

pypinyin [{-h | --help} | {-V | --version}]

DESCRIPTION

This manual page documents briefly the pypinyin command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

pypinyin is a program that converts a Chinese string to pinyin.

OPTIONS

The program follows the usual GNU command line syntax, with long options starting with two dashes ('-'). A summary of options is included below. For a complete description, see the info(1) files.

-f {pinyin | slug} , --func {pinyin | slug}
    function name.

-s STYLE, --style STYLE
    pinyin style (default: "zh4ao").

-p SEPERATOR, --separator SEPERATOR
    slug seperator (default: "-").

-e {default | ignore | replace} , --errors {default | ignore | replace}
    how to handle non-pinyin string (default: "default").

-m, --heteronym
    Enable heteronym.

-h, --help
    Show summary of options.

-V, --version
    Show version of program.

AUTHOR

Ying-Chun Liu <paulliu@debian.org>
    Wrote this manpage for the Debian system.

COPYRIGHT
Copyright © 2024 Ying-Chun Liu (PaulLiu)

This manual page was written for the Debian system (and may be used by others).

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.